%define module  pyelftools

Name:           python-%{module}
Version:        0.32
Release:        %mkrel 2
Summary:        Pure-python library for parsing ELF and DWARF
Group:          Development/Python
License:        Public Domain
URL:            https://github.com/eliben/pyelftools
Source0:        https://github.com/eliben/pyelftools/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
pyelftools is a pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

%package -n     python3-%{module}
Summary:        Pure-python library for parsing ELF and DWARF for Python 3
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
pyelftools is a pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files elftools

%files -n       python3-%{module} -f %{pyproject_files}
%doc CHANGES README.rst
%license LICENSE
%{_bindir}/readelf.py


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.32-2.mga10
+ Revision: 2237177
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 wally <wally> 0.32-1.mga10
+ Revision: 2152827
- new version 0.32
- rebuild for python3.13

* Fri Jun 28 2024 daviddavid <daviddavid> 0.31-1.mga10
+ Revision: 2077487
- new version: 0.31

* Fri Dec 29 2023 papoteur <papoteur> 0.30-1.mga10
+ Revision: 2023647
- new version 0.30

* Wed Sep 07 2022 neoclust <neoclust> 0.29-1.mga9
+ Revision: 1885447
- New version  0.29

* Wed Mar 23 2022 umeabot <umeabot> 0.27-4.mga9
+ Revision: 1822525
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 0.27-3.mga9
+ Revision: 1774249
- Rebuild for python 3.10

* Sat Jun 26 2021 wally <wally> 0.27-2.mga9
+ Revision: 1733037
- Rebuild for python 3.9

* Fri Jun 04 2021 akien <akien> 0.27-1.mga9
+ Revision: 1729654
- Version 0.27

* Thu Feb 20 2020 umeabot <umeabot> 0.26-2.mga8
+ Revision: 1547388
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 0.26-1.mga8
+ Revision: 1488128
- new version: 0.26

* Tue Sep 17 2019 daviddavid <daviddavid> 0.25-3.mga8
+ Revision: 1442805
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.25-2.mga7
+ Revision: 1353881
- Rebuild for python3 3.7

* Sat Nov 03 2018 daviddavid <daviddavid> 0.25-1.mga7
+ Revision: 1328022
- new version: 0.25

* Thu Sep 20 2018 umeabot <umeabot> 0.24-2.mga7
+ Revision: 1289775
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 akien <akien> 0.24-1.mga7
+ Revision: 1156068
- import pyelftools, needed for lddtree in pax-utils

